%define name    libdvdnav
%define ver     0.1.9
%define rel     2mdk
%define major	0
%define libname %mklibname dvdnav %major

Name: %{name}
Summary: DVD Navigation library
Version: %{ver}
Release: %{rel}
Group: System/Libraries
License: GPL
Url: http://dvd.sourceforge.net/
Source: %{name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
libdvdnav provides support to applications wishing to make use of advanced
DVD features.

%package -n %libname
Summary: DVD Navigation library
Group: System/Libraries

%description -n %libname
libdvdnav provides support to applications wishing to make use of advanced
DVD features.

%package -n %libname-devel
Summary: DVD Navigation library headers and support files
Group: Development/C
Provides: %name-devel = %version-%release
Requires: %libname = %version-%release

%description -n %libname-devel
libdvdnav provides support to applications wishing to make use of advanced
DVD features.

This package contains the C headers and support files for compiling 
applications with libdvdnav.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%clean
rm -r $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig 
%postun -n %libname -p /sbin/ldconfig 

%files -n %libname
%defattr(-,root,root)
%doc COPYING README
%{_libdir}/libdvdnav*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%doc COPYING NEWS TODO AUTHORS
%{_bindir}/dvdnav-config
%{_libdir}/libdvdnav*.la
%{_libdir}/libdvdnav*.so
%{_includedir}/dvdnav/

%changelog
* Wed Jul  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.9-2mdk
- rebuild for new rpm

* Wed May 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.9-1mdk
- doesn't depend on dvdread anymore
- major 0
- new version

* Mon Apr 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.7-3mdk
- fix distriblint warning

* Tue Apr  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.7-2mdk
- new dvdread

* Fri Apr  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.7-1mdk
- mklibname
- use the right configure macro
- new version

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.1.3-2mdk
- rebuild

* Fri Aug  2 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.1.3-1mdk
- major version number 1
- 0.1.3

* Wed Jun  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1-2mdk
- add some documentation

* Mon Jun  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1-1mdk
- devel package requires libdvdread-devel
- fix major version number
- 0.1.1

* Mon Apr 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.1.0-1mdk
- adapt for Mandrake

* Sun Mar 18 2002 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Add missing files. Fix rpm generation.
* Tue Mar 12 2002 Rich Wareham <richwareham@users.sourceforge.net>
- Canabalisation to form libdvdnav spec file.
* Sun Sep 09 2001 Thomas Vander Stichele <thomas@apestaart.org>
- first spec file
